This URL gets the list of allowed hashes.
Resource URL
GET /advancedmalware/allowedhashes?search=<search_string>
Request Parameters
| Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| Search | Search string | String | No |
Response Parameters
Following fields are returned if the request parameters are correct, otherwise error details are returned.
| Field Name | Description | Data Type |
|---|---|---|
| allowedHashList | List of allowed hashes | Array |
Details of allowedHashList:
| Field Name | Description | Data Type |
|---|---|---|
| filehash | File hash | String |
| fileName | File name | String |
| classifier | Classifier | String |
| classified | Classified | String |
| commet | Comment | String |
Example
Request
GET https://%3C%20NSM_IP%3E/sdkapi%20advancedmalware/allowedhashes
Response
{
“allowedHashList”: [{
“fileHash”:”1aaaaaaaaaaaaaaaaaaaaaaaaaaaaa17”,
“fileName”:”1aaaaaaaaaaaaaaaaaaaaaaaaaaaaa17”,
“classifier”:”Manually updated by Administrator”,
“classified”:”2013-09-03 12:56:48.0”,
“comment”:”allowed based on user request “}]}
}
Error Information
Following error codes are returned by this URL:
| S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
| 1 | 400 | 4904 | Failed to retrieve data |